// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//
// $Id: MulanDetectorMessenger.hh,v 1.2 2004/02/03 21:09:28 asharp Exp $
// GEANT4 tag $Name:  $
//
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....

#ifndef MulanDetectorMessenger_h
#define MulanDetectorMessenger_h 1

#include "globals.hh"
#include "G4UImessenger.hh"

class MulanDetectorConstruction;
class G4UIdirectory;
class G4UIcmdWithAString;
class G4UIcmdWithADoubleAndUnit;
class G4UIcmdWithoutParameter;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....

class MulanDetectorMessenger: public G4UImessenger
{
public:
  MulanDetectorMessenger(MulanDetectorConstruction*);
  ~MulanDetectorMessenger();
  
  void SetNewValue(G4UIcommand*, G4String);
    
private:
  MulanDetectorConstruction* myDetector;
  
  G4UIdirectory*             mydetDir;
  G4UIcmdWithAString*        TargMatCmd;
  G4UIcmdWithoutParameter*   TargetMatEchoCmd;
  G4UIcmdWithADoubleAndUnit* FieldCmd;
  G4UIcmdWithoutParameter*   FieldEchoCmd;
  G4UIcmdWithAString*        WorldMatCmd;
  G4UIcmdWithoutParameter*   WorldMatEchoCmd;
  G4UIcmdWithoutParameter*   UpdateCmd;
};

#endif

