// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//
// $Id: MulanMagneticField.hh,v 1.3 2004/02/11 15:36:09 asharp Exp $
// GEANT4 tag $Name:  $
//
//
//    A class for control of the Magnetic Field of the detector.
//  The field is assumed to be uniform.
// 
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....

#ifndef MulanMagneticField_H
#define MulanMagneticField_H

#include "G4UniformMagField.hh"

class G4FieldManager;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....


class MulanMagneticField: public G4UniformMagField
{
public:
  
  MulanMagneticField(G4ThreeVector);  //  The value of the field
  MulanMagneticField();               //  A zero field
  ~MulanMagneticField();  
      
  //Set the field (fieldValue,0,0)
  void SetFieldValue(G4double fieldValue);
  void SetFieldValue(G4ThreeVector fieldVector);
      
  G4ThreeVector GetConstantFieldValue();

protected:

  // Find the global Field Manager
  G4FieldManager* GetGlobalFieldManager();   // static 
};

#endif
