// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//
// $Id: MulanMaterialStepCut.hh,v 1.1.1.1 2003/10/24 19:10:20 asharp Exp $
// GEANT4 tag $Name:  $
//

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

#ifndef MulanMaterialStepCut_h
#define MulanMaterialStepCut_h 1

#include "G4ios.hh"
#include "globals.hh"
#include "G4VDiscreteProcess.hh"
#include "G4Step.hh"

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....

class MulanMaterialStepCut : public G4VDiscreteProcess
{
  public:     

     MulanMaterialStepCut(const G4String& processName ="UserStepCut");
     MulanMaterialStepCut(MulanMaterialStepCut &);

    ~MulanMaterialStepCut();

     void SetMaxStep(G4double step)		{fMaxStep = step;};

     void SetAirStep(G4double step)		{fAirStep = step;};

     void SetHeStep(G4double step)		{fHeStep = step;};

     void SetSilverStep(G4double step)		{fSilverStep = step;};

     void SetScintStep(G4double step)		{fScintStep = step;};

     void SetChamberGasStep(G4double step)	{fChamberGasStep = step;};

     void SetVacuumStep(G4double step)		{fVacuumStep = step;};

     void SetMylarStep(G4double step)		{fMylarStep = step;};

     void SetSulfurStep(G4double step)		{fSulfurStep = step;};

     void SetAlStep(G4double step)		{fAlStep = step;};



     G4double PostStepGetPhysicalInteractionLength(
                             const G4Track& track,
			     G4double   previousStepSize,
			     G4ForceCondition* condition
			    );

     G4VParticleChange* PostStepDoIt(const G4Track&, const G4Step&);


  protected:

     // it is not needed here !
     G4double GetMeanFreePath(const G4Track& aTrack,
                             G4double   previousStepSize,
                             G4ForceCondition* condition
                            );

			    
  private:
  
    // hide assignment operator as private 
    MulanMaterialStepCut& operator=(const MulanMaterialStepCut &right);

  private:

     G4double fMaxStep;
     G4double fAirStep,fHeStep, fSilverStep, fScintStep,fChamberGasStep, 
		 fVacuumStep,fMylarStep, fSulfurStep, fAlStep;    
     
};

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....


#endif

