// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//
// $Id: MulanPrimaryGeneratorAction.hh,v 1.2 2004/03/25 16:46:25 asharp Exp $
// GEANT4 tag $Name:  $
//
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo..... 
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....
 
#ifndef MulanPrimaryGeneratorAction_h
#define MulanPrimaryGeneratorAction_h 1

#include "G4VUserPrimaryGeneratorAction.hh"
#include "globals.hh"
#include <fstream.h>
#include <iostream.h>


class MulanDetectorConstruction;
class G4ParticleGun;
class G4Event;

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....
 
class MulanPrimaryGeneratorAction : public G4VUserPrimaryGeneratorAction
{
public:
  MulanPrimaryGeneratorAction(MulanDetectorConstruction*,char*);    
  ~MulanPrimaryGeneratorAction();
  
public:
  void GeneratePrimaries(G4Event*);


private:
  G4double position;
  G4ParticleGun* particleGun;
  MulanDetectorConstruction* myDetector;
  ifstream* fInputFile;

protected:

};

#endif


