#ifndef READOUT_TILE_PAIR_HH
#define READOUT_TILE_PAIR_HH

#include "TReadoutBranch.hh"

#include <iostream>

using namespace std;

class TReadoutTilePair : public TReadoutBranch {

public:
  TReadoutTilePair();
  //~TReadoutTilePair();
private: 
  UInt_t   fTotalTilesHit; // count of tiles hit = 1 or 2
  Int_t    fTile1SN;       // serial number of 1st struck tile
  UInt_t   fParticle1ID;   // id number of particle hitting 1st tile
  Double_t fEdep1;         // energy dep in 1st tile
  Int_t    fTile2SN;       // serial number of 2nd struck tile
  UInt_t   fParticle2ID;   // id number of particle hitting 2nd tile
  Double_t fEdep2;         // energy dep in 2nd tile
  Double_t fEdepTime;      // global time of earliest energy dep
public:
  inline void SetTotalTilesHit(unsigned n)  { fTotalTilesHit = n; }
  inline void SetTile1SN      (int sn)      { fTile1SN = sn;      }
  inline void SetParticle1ID  (unsigned id) { fParticle1ID = id;  }
  inline void SetEdep1        (double edep) { fEdep1 = edep;      }
  inline void SetTile2SN      (int sn)      { fTile2SN = sn;      }
  inline void SetParticle2ID  (unsigned id) { fParticle2ID = id;  }
  inline void SetEdep2        (double edep) { fEdep2 = edep;      }
  inline void SetEdepTime     (double time) { fEdepTime = time;   }
  UInt_t   GetTotalTilesHit() { return fTotalTilesHit; }
  Int_t    GetTile1SN()       { return fTile1SN;       }
  UInt_t   GetParticle1ID()   { return fParticle1ID;   }
  Double_t GetEdep1()         { return fEdep1;         }
  Int_t    GetTile2SN()       { return fTile2SN;       }
  UInt_t   GetParticle2ID()   { return fParticle2ID;   }
  Double_t GetEdep2()         { return fEdep2;         }
  Double_t GetEdepTime()      { return fEdepTime;      }

  bool ResetBranch(bool t);
  void CheckValues();
public:
  ClassDef(TReadoutTilePair,1)
};

#endif
