// This code implementation is the intellectual property of
// the GEANT4 collaboration.
//
// By copying, distributing or modifying the Program (or any work
// based on the Program) you indicate your acceptance of this statement,
// and all its terms.
//
// $Id: MulanEventAction.cc,v 1.2 2004/01/30 17:21:26 asharp Exp $
// GEANT4 tag $Name:  $
//
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo..... 
//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....
 
#include "MulanEventAction.hh"

#include "G4Event.hh"
#include "G4EventManager.hh"
#include "G4TrajectoryContainer.hh"
#include "G4Trajectory.hh"
#include "G4ios.hh"

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....
 
MulanEventAction::MulanEventAction()
{G4cout<<"MulanEventAction instantiating... done"<<G4endl;}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....
 
MulanEventAction::~MulanEventAction()
{}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....
 
void MulanEventAction::BeginOfEventAction(const G4Event* evt)
{
  //  G4cout<<"MulanEventAction::BeginOfEventAction begun."<<G4endl;
  event_id = evt->GetEventID();
  //  G4cout<<"MulanEventAction::BeginOfEventAction ended."<<G4endl;
}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....
 
void MulanEventAction::EndOfEventAction(const G4Event* evt)
{
  event_id = evt->GetEventID();

  G4TrajectoryContainer * trajectoryContainer = evt->GetTrajectoryContainer();
  G4int n_trajectories = 0;
  if (trajectoryContainer) n_trajectories = trajectoryContainer->entries();

  if (event_id < 0 ) {

    G4cout << ">>> Event " << evt->GetEventID() << G4endl;
  
    G4cout << "    " << n_trajectories 
	   << " trajectories stored in this event." << G4endl;
  }

//  G4int trackID;
//  for (G4int i=0; i<n_trajectories ; i++)
//  {
//   trackID = trajectoryContainer->GetTrackID();
//  }

}

//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo.....
