#include "TLorentzVector.h"
#include "TReadoutTarget.hh"
ClassImp(TReadoutTarget)

TReadoutTarget::TReadoutTarget()
{
  cout<<"This is TReadoutTarget constructor"<<endl;
  SetMichelEdep(0.0);
}

TLorentzVector TReadoutTarget::GetIncMuon4Pos() {return fIncidentMuon4Pos;}
TVector3 TReadoutTarget::GetIncMuon3Pos() {return fIncidentMuon4Pos.Vect();}
Double_t TReadoutTarget::GetIncMuonTime() {return fIncidentMuon4Pos.T();}    
TLorentzVector TReadoutTarget::GetIncMuon4Mom() {return fIncidentMuon4Mom;}
TVector3 TReadoutTarget::GetIncMuon3Mom() {return fIncidentMuon4Mom.Vect();}
Double_t TReadoutTarget::GetIncMuonEnergy() {return fIncidentMuon4Mom.E();}    
Double_t TReadoutTarget::GetMichelEdep() {return fMichelEdep;}

void TReadoutTarget::SetIncMuon4Pos(TLorentzVector xyzt)
{
  double xx, yy, zz, tt;
  xx = xyzt.X(); yy = xyzt.Y(); zz = xyzt.Z(); tt = xyzt.T();
  fIncidentMuon4Pos.SetXYZT(xx,yy,zz,tt);
}
void TReadoutTarget::SetIncMuon3Pos(TVector3 xyz) {fIncidentMuon4Pos.SetVect(xyz);}
void TReadoutTarget::SetIncMuonTime(double t) {fIncidentMuon4Pos.SetT(t);}
void TReadoutTarget::SetIncMuon4Mom(TLorentzVector pppe)
{
  double px, py, pz, e;
  px = pppe.Px(); py = pppe.Py(); pz = pppe.Pz(); e = pppe.E();
  fIncidentMuon4Mom.SetPxPyPzE(px,py,pz,e);
}
void TReadoutTarget::SetIncMuon3Mom(TVector3 ppp) {fIncidentMuon4Mom.SetVect(ppp);}
void TReadoutTarget::SetIncMuonEnergy(double e) {fIncidentMuon4Mom.SetE(e);}
void TReadoutTarget::SetMichelEdep(double e) {fMichelEdep = e;}









