#include "TReadoutWorld.hh"
ClassImp(TReadoutWorld)

TReadoutWorld::TReadoutWorld()
{
  cout<<"This is TReadoutWorld constructor"<<endl;
  SetEventID(0);
  SetTotalPairsHit(0);
  SetDecayVolID(999);

}

TLorentzVector TReadoutWorld::GetMuonPrim4Pos() {return fMuonPrim4Pos;}
TVector3 TReadoutWorld::GetMuonPrim3Pos() {return fMuonPrim4Pos.Vect();}
Double_t TReadoutWorld::GetMuonPrimTime() {return fMuonPrim4Pos.T();}    
TLorentzVector TReadoutWorld::GetMuonPrim4Mom() {return fMuonPrim4Mom;}
TVector3 TReadoutWorld::GetMuonPrim3Mom() {return fMuonPrim4Mom.Vect();}
Double_t TReadoutWorld::GetMuonPrimEnergy() {return fMuonPrim4Mom.E();}    
TLorentzVector TReadoutWorld::GetMuonDecay4Pos() {return fMuonDecay4Pos;}
TVector3 TReadoutWorld::GetMuonDecay3Pos() {return fMuonDecay4Pos.Vect();}
Double_t TReadoutWorld::GetMuonDecayTime() {return fMuonDecay4Pos.T();}    

void TReadoutWorld::SetMuonPrim4Pos(TLorentzVector xyzt)
{
  double xx, yy, zz, tt;
  xx = xyzt.X(); yy = xyzt.Y(); zz = xyzt.Z(); tt = xyzt.T();
  fMuonPrim4Pos.SetXYZT(xx,yy,zz,tt);
}
void TReadoutWorld::SetMuonPrim3Pos(TVector3 xyz) {fMuonPrim4Pos.SetVect(xyz);}
void TReadoutWorld::SetMuonPrimTime(double t) {fMuonPrim4Pos.SetT(t);}
void TReadoutWorld::SetMuonPrim4Mom(TLorentzVector pppe)
{
  double px, py, pz, e;
  px = pppe.Px(); py = pppe.Py(); pz = pppe.Pz(); e = pppe.E();
  fMuonPrim4Mom.SetPxPyPzE(px,py,pz,e);
}
void TReadoutWorld::SetMuonPrim3Mom(TVector3 ppp) {fMuonPrim4Mom.SetVect(ppp);}
void TReadoutWorld::SetMuonPrimEnergy(double e) {fMuonPrim4Mom.SetE(e);}
void TReadoutWorld::SetMuonDecay4Pos(TLorentzVector xyzt)
{
  double xx, yy, zz, tt;
  xx = xyzt.X(); yy = xyzt.Y(); zz = xyzt.Z(); tt = xyzt.T();
  fMuonDecay4Pos.SetXYZT(xx,yy,zz,tt);
}
void TReadoutWorld::SetMuonDecay3Pos(TVector3 XYZ) {fMuonDecay4Pos.SetVect(XYZ);}
void TReadoutWorld::SetMuonDecayTime(double t) {fMuonDecay4Pos.SetT(t);}
void TReadoutWorld::SetDecayVolID(string volName)
{
  unsigned int id = 0;
  if     (volName=="TargetPV") id = 1;
  else if(volName=="WorldPV")  id = 2;
  else if(volName=="InnerTileElement")  id = 3;
  else if(volName=="OuterTileElement")  id = 4;
  cout<<"**********Setting DecayVolID to "<<id<<endl;
  fDecayVolID = id;
  return;
}

bool TReadoutWorld::ResetBranch(bool condition)
{
  if(condition == false) return false;
  else {
    unsigned int dummyInt = 999;
    TLorentzVector dummy4Vec = TLorentzVector(-999,-999,-999,-999);
    SetEventID(dummyInt);
    SetTotalPairsHit(dummyInt);
    SetDecayVolID(dummyInt);
    SetMuonPrim4Pos(dummy4Vec);
    SetMuonPrim4Mom(dummy4Vec);
    SetMuonDecay4Pos(dummy4Vec);
    return true;
  }
}
void TReadoutWorld::CheckValues()
{
  cout<<endl<<endl<<"EventID = "<<fEventID<<endl
      <<"TotalPairsHit = "<<fTotalPairsHit<<endl
      <<"DecayVolID = "<<fDecayVolID<<endl;
  cout<<"MuonPrim4Pos = ("
      <<fMuonPrim4Pos.X()<<","
      <<fMuonPrim4Pos.Y()<<","
      <<fMuonPrim4Pos.Z()<<","
      <<fMuonPrim4Pos.T()<<")"<<endl;
  cout<<"MuonPrim4Mom = ("
      <<fMuonPrim4Mom.Px()<<","
      <<fMuonPrim4Mom.Py()<<","
      <<fMuonPrim4Mom.Pz()<<","
      <<fMuonPrim4Mom.E()<<")"<<endl;
  cout<<"MuonDecay4Pos = ("
      <<fMuonDecay4Pos.X()<<","
      <<fMuonDecay4Pos.Y()<<","
      <<fMuonDecay4Pos.Z()<<","
      <<fMuonDecay4Pos.T()<<")"<<endl<<endl<<endl;
}

//  void TReadoutWorld::SetDecayVolID(const char* volName)
//  {
//    unsigned int id = 0;
//    if     (!strcmp(volName,"TargetPV")) id = 1;
//    else if(!strcmp(volName,"WorldPV"))  id = 2;
//    else if(!strcmp(volName,"InnerTileElement"))  id = 3;
//    else if(!strcmp(volName,"OuterTileElement"))  id = 4;
//    cout<<"Setting DecayVolID to "<<id<<endl;
//    fDecayVolID = id;
//    return;
//  }
